---

ru:
  web:
    language_categories:
      show:
        blog_posts: Посты в блоге
    reviews:
      index:
        header: Отзывы
        empty: Похоже, что тут пока ничего нет
        read_more: Читать далее
        course: 'Курс %{language}'
    admin:
      title: Админка Code-Basics
      languages:
        index:
          languages: Языки
          add_new_language: Добавить новый язык
        new:
          new_language: Новый язык
      home:
        index:
          dashboard: Кабинет
      management:
        title: Пользователи
        users:
          index:
            finished_lessons: Завершенные уроки
            users: Пользователи
          filter:
            from: Начал прохождение с
      reviews:
        index:
          header: Отзывы
          add_new_review: Добавить новый отзыв
        new:
          new_review: Новый отзыв
      blog_posts:
        index:
          header: Посты в блоге
          add_new_blog_post: Добавить новый пост
        new:
          new_blog_post: Новый пост
    home:
      reviews:
        reviews: Отзывы
        course_html: Курс %{link}
      hero:
        learn_html: Изучи&nbsp;
        free_programming_courses: Бесплатные курсы программирования
        fastest_way_to_start_coding: Самый быстрый способ попробовать программирование прямо в браузере. Бесплатные курсы с тренажером. Практика после каждого урока
        try: Попробовать
        how_coding_works: Как работает обучение на code-basics
      languages:
        courses: Курсы
      stats:
        trusted_by: |
          Присоединись к %{count} изующих программирование с помощью Code Basics
      index:
        reviews: Отзывы
        all_reviews: Все отзывы
        categories: Направления
        join: Зарегистрируйтесь и начните учиться прямо сейчас
        meta_description: Бесплатные практические курсы программирования для начинающих от сообщества Хекслет. Обучение языкам программирования с нуля бесплатно, интерактивные уроки онлайн на русском
        title: |
          Code Basics: бесплатные курсы программирования, обучение онлайн
        header: Обучение программированию. Онлайн. Бесплатно
        subheader: 'Для тех, кто начинает с нуля. От создателей '
        hexlet: Хекслета
        in_development: Курсы в разработке
        in_development_description: Данные курсы находятся в разработке и не являются финальной версией. Вы можете помочь в разработке, прислав Pull Request в репозиторий GitHub
        blog_posts: Блог
        all_blog_posts: Все статьи
    users:
      new:
        confirmation_html: Регистрируясь, вы соглашаетесь с <a href="%{link}" class="text-decoration-none" target="_blank">условиями использования</a>
        title: Регистрация
        meta_description: Зарегистрироваться на Code Basics
        sign_up: Регистрация
        have_account: Есть аккаунт?
        sign_in: Войти
    sessions:
      new:
        title: Вход
        meta_description: Войти на Code Basics
        sign_in: Вход
        dont_have_account: Нет аккаунта?
        register: Регистрация
        sign_in_with_github: Войти через GitHub
        forgot_password: Забыли пароль?
        password: Пароль
        email: Email
    passwords:
      edit:
        meta_description: Установить новый пароль на Code Basics
        new_password: Новый пароль
        title: Смена пароля
    remind_passwords:
      new:
        title: Восстановление пароля
        meta_description: Восстановить пароль на Code Basics
        forgot_password: Забыли пароль
        trying_to_login: Пытаетесь войти?
        login: Войти
        dont_have_account: Нет аккаунта?
        register: Регистрация
    blog_posts:
      show:
        to_home_title: Домой
        breadcrumbs: Хлебные крошки
        blog_posts: Рекомендованные статьи
        courses: Рекомендованные курсы
      index:
        header: Блог
        empty: Похоже, что тут пока ничего нет
    languages:
      show:
        breadcrumbs: Хлебные крошки
        see_all_courses_in_category: Посмотреть все курсы категории %{name}
        to_home_title: Главная
        registration: Регистрация
        registration_description: Начните прямо сейчас
        similar_courses: Похожие курсы
        sign_up: Зарегистрироваться
        free_course: Бесплатный курс
        start: Начать обучение
        continue: Продолжить обучение
        start_demo_lesson: Демо урок
        ready: Готовы попробовать?
        no_registration: Регистрация не требуется
        lessons: "%{lessons_count} с практикой в браузере"
        blog_posts: Посты в блоге
      complete_language:
        continue: Продолжить обучение
        grats: Поздравляем!
        title: Вы успешно завершили базовый курс на Code Basics.
        first_step: Это первый шаг в мир профессиональной разработки. Что дальше?
        enter_profession: "Вступайте в профессию на Хекслете. Это позволит:"
        knowledge: Получить фундаментальные знания программирования
        tasks: Научиться решать практические задачи
        apps: Написать первые полноценные приложения, которые станут частью вашего портфолио разработчика
        certificate: Получить сертификат Хекслета и содействие в трудоустройстве по окончании обучения
        first_courses_free: Первые курсы в профессии доступны бесплатно. Чтобы начать изучение материала, достаточно зарегистрироваться и вступить в профессию.
        hexlet_profs: Другие профессии на Хекслете
        likely:
          share_in_fb: Поделиться
          share_in_twitter: Твитнуть
          share_in_vk: Поделиться VK
          share_in_telegram: Отправить
          twitter: "HexletHQ"
          share_vk_text: "Этот курс побеждён! Было круто! #hexlet"
          share_fb_text: "Этот курс побеждён! Было круто! #hexlet"
          share_twitter_text: "Этот курс побеждён! Было круто!"
      lessons:
        content:
          issues: Нашли ошибку? Есть что добавить? Пулреквесты приветствуются
          sign_up_for_tracking_progress_html: |
            Бесплатный курс по %{name}. <a href="%{link}" class="text-decoration-none" target="_blank">Зарегистрируйтесь</a> для отслеживания прогресса &rarr;
          instructions: Задание
          definitions: Определения
          tips: Полезное
          common_questions:
            - question: Упражнение не проходит проверку — что делать? 😶
              answer: |
                Если вы зашли в тупик, то самое время задать вопрос в «Обсуждениях». [Как правильно задать вопрос](https://help.hexlet.io/ru/articles/111495-kak-pravilno-zadavat-voprosy):

                * Обязательно приложите вывод тестов, без него практически невозможно понять что не так, даже если вы покажете свой код. Программисты плохо исполняют код в голове, но по полученной ошибке почти всегда понятно, куда смотреть.
            - question: В моей среде код работает, а здесь нет 🤨
              answer: |
                Тесты устроены таким образом, что они проверяют решение разными способами и на разных данных. Часто решение работает с одними входными данными, но не работает с другими. Чтобы разобраться с этим моментом, изучите вкладку «Тесты» и внимательно посмотрите на вывод ошибок, в котором есть подсказки.
            - question: Мой код отличается от решения учителя 🤔
              answer: |
                Это нормально 🙆, в программировании одну задачу можно выполнить множеством способов. Если ваш код прошел проверку, то он соответствует условиям задачи.

                В редких случаях бывает, что решение подогнано под тесты, но это видно сразу.
            - question: Прочитал урок — ничего не понятно 🙄
              answer: |
                Создавать обучающие материалы, понятные для всех без исключения, довольно сложно. Мы очень стараемся, но всегда есть что улучшать. Если вы встретили материал, который вам непонятен, опишите проблему в «Обсуждениях». Идеально, если вы сформулируете непонятные моменты в виде вопросов. Обычно нам нужно несколько дней для внесения правок.

                Кстати, вы тоже можете участвовать в улучшении курсов: внизу есть ссылка на исходный код уроков, который можно править прямо из браузера.
          prev: Предыдущий
          next: Следующий
          separator: ' — '
        show:
          navigation: Навигация
          show_full_version: Реактор кода доступен в основной версии →
          if_stuck_html: 'Если вы столкнулись с трудностями и не знаете, что делать, задайте вопрос в нашем большом и дружном <a href="%{link}" target="_blank" rel="noopener">сообществе</a>'
          discuss: Обсуждение
          lesson: Урок
          only_for_signed_in_users: Упражнение доступно только авторизованным пользователям.
          please_sign_in: Пожалуйста, авторизуйтесь, это необходимо для отслеживания прогресса выполнения уроков. Если у вас ещё нет учётной записи, то сейчас самое время создать аккаунт.
          sign_in: Войти
        lesson_tab:
          to_home_title: Домой
          breadcrumb: Хлебные крошки
        navigation_tab:
    pages:
      about:
        title: О проекте
        meta_description: |
          Code Basics — качественные интерактивные уроки по основам программирования бесплатно, для всех.
        projects_goal: |
          Цель Code Basics — предоставить качественные интерактивные уроки по основам программирования бесплатно, для всех.
        extended_credits: |
          Идея, учебный план, платформа: Кирилл Мокевнин. Уроки (9 базовых модулей): Рахим Давлеткалиев и Наталия Басс. Расширения и адаптация: Кирилл Мокевнин, Улугбек Туйчиев, Алексей Пыльцын и другие участники сообщества Хекслет.
        contributions: |
          Исходный код платформы Code Basics, всех уроков и упражнений доступен на GitHub. Вы можете поучаствовать в процессе улучшения уроков, исправления неточностей и расширения курсов на другие языки программирования.
        source_code: Исходный код
      privacy:
        meta_description: Политика конфиденциальности Code Basics
        title: Политика конфиденциальности
      tos:
        title: Условия использования образовательной платформы
        meta_description: Условия использования образовательной платформы Code Basics
      authors:
        title: Автору
        meta_description: |
          Code Basics открытый проект, в котором любой человек может стать автором курсов. Вот список шагов, которые нужно выполнить для этого.
      cookie_policy:
        title: Cookie Policy
        meta_description: Cookies Policy


    account:
      profiles:
        edit:
          meta_description: Профиль
          title: Профиль %{email}
          delete: Удалить аккаунт
          confirm_delete: Вы уверены, что хотите удалить свой аккаунт?
        destroy:
          success: Аккаунт успешно удален
    errors:
      not_found:
        base: Не найдено
        meta_description: Запрашиваемая страница не найдена
        not_found: Ой, мы не нашли нужную вам страницу
        not_found_link_my_html: Но вы можете вернуться на <a href="%{link}">главную страницу</a>
      forbidden:
        base: Запрещено
        meta_description: У вас нет прав для доступа к этой страницe
        forbidden: У вас нет прав для доступа к этой страницe
      server_error:
        base: Ошибка сервера
        meta_description: Что-то пошло не так
        server_error: Упс, что-то пошло не так, наши программисты уже решают эту проблему
    shared:
      via_social_networks:
        via_social_networks: С помощью социальных сетей
      languages:
        course_finished: Курс пройден!

  api:
    partners:
      yandex_market:
        languages:
          index:
            company: ООО "Хекслет Рус"
            title: Образовательные программы
            category: Фримиум
